Bug 29125 - pump BINDTODEVICE silliness
pump BINDTODEVICE silliness
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-23 14:08 EST by Matthew Kirkwood
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-27 12:04:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for bind-to-device problem. (576 bytes, patch)
2001-02-23 14:09 EST, Matthew Kirkwood
no flags Details | Diff

  None (edit)
Description Matthew Kirkwood 2001-02-23 14:08:29 EST
The bind-to-device code in pump fails for a reason.  It's crap.
Comment 1 Matthew Kirkwood 2001-02-23 14:09:39 EST
Created attachment 10861 [details]
Fix for bind-to-device problem.
Comment 2 Glen Foster 2001-02-23 16:51:38 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 Matthew Kirkwood 2001-02-23 17:06:54 EST
Extra notes:
 * sorry for the rather rude lack of smiley in the initial post :)
 * the patch compiles and I know that that usage of the syscall works,
   but beyond that I haven't tested it
Comment 4 Erik Troan 2001-02-27 12:04:20 EST
Thanks for the patch. Anyone who sends fixes is allowed to take my name in vain,
btw ;-)

This is in pump-0.8.10

Note You need to log in before you can comment on or make changes to this bug.